<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.aiotagro.cattletrade.business.mapper.DeliveryDeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.aiotagro.cattletrade.business.entity.DeliveryDevice">
        <id column="id" property="id" />
        <result column="delivery_id" property="deliveryId" />
        <result column="device_id" property="deviceId" />
        <result column="device_type" property="deviceType" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, delivery_id, device_id, device_type
    </sql>

</mapper>
